/*******************************/
/* fenetre pour fixer les prix */
/*******************************/
#include "Counter.h"
#include "FixPriceWindow.h"
#include "CalendarWinPref.h"

/**** Constructor ****/
FixPriceWindow::FixPriceWindow(BRect frame,const char *name,BMessenger messenger)
: BWindow(frame,name,B_TITLED_WINDOW, B_NOT_RESIZABLE | B_NOT_ZOOMABLE )
{
	BRect aRect(Bounds());
	
	_countermessenger = messenger;

	SetLook(B_FLOATING_WINDOW_LOOK);
	SetFeel(B_NORMAL_WINDOW_FEEL);

	_fixPriceView = new FixPriceView(aRect,"fixPriceView");
	AddChild(_fixPriceView);
}

/**** Destructor ****/
FixPriceWindow::~FixPriceWindow(void)
{
}

/**** MessageReceived method ***/
void FixPriceWindow::MessageReceived(BMessage *message)
{
	switch(message->what)
	{
		default:
			BWindow::MessageReceived(message);
	}
}

/**** QuitRequested ****/
bool FixPriceWindow::QuitRequested(void)
{
	BRect		framefenetre = Frame();
	BMessage	msgtoclose(CLOSE_WIN_TARIFF);
	
	msgtoclose.AddRect("fenetre-prices",framefenetre);
	_countermessenger.SendMessage(&msgtoclose);

	return(true);
}