#include "CColumnHeader.h"

/***** Function to Draw a Header Item *****/
void DrawHeader(BView *owner,BRect frame,const char *title)
{
	int			stringleft;
	int			stringtop;
	font_height	height;
	rgb_color	oldcolor;
	rgb_color	oldlowcolor;
	
	oldcolor = owner->HighColor();
	oldlowcolor = owner->LowColor();
	owner->GetFontHeight(&height);
	stringleft = (int)owner->StringWidth(title);
	stringleft = (int)((frame.right - frame.left - stringleft)/2 + frame.left -1);
	stringtop = (int)(height.ascent + /*height.descent + */height.leading);
	stringtop = (int)((frame.bottom - frame.top + stringtop)/2 + frame.top -1);

	owner->SetHighColor(160,160,160);
	owner->StrokeRect(BRect(frame.left,frame.top,frame.right-1,frame.bottom-1));
	owner->SetHighColor(255,255,255);
	owner->StrokeRect(BRect(frame.left+1,frame.top+1,frame.right,frame.bottom));
	owner->SetHighColor(110,110,110);
	owner->StrokeRect(frame);

	owner->SetHighColor(0,0,0);
	owner->SetLowColor(owner->ViewColor());
	owner->DrawString(title,BPoint(stringleft,stringtop));
	owner->SetLowColor(oldlowcolor);
	owner->SetHighColor(oldcolor);
}