/*****************************************************************/
/* The class CColorMenuItem is an extention of class BMenuItem   */
/* It's for graphical application, you can see a color rectangle */
/* in a Item of menu                                             */
/*****************************************************************/

#ifndef _CCOLORMENUITEM_H
#define _CCOLORMENUITEM_H

#include <Menu.h>
#include <MenuItem.h>
#include <Message.h>
#include <String.h>

class CColorMenuItem : public BMenuItem
{
protected:
	BMenu			*_menuAttached;
	rgb_color		_rectColorItem;
	font_height 	_infoFontMenu;
	BRect			_itemFrame;
	
public:
	CColorMenuItem(BString,BMessage*,char = 0,uint32 = 0);
	CColorMenuItem(rgb_color,BString,BMessage*,char = 0,uint32 = 0);
	virtual ~CColorMenuItem(void);
	virtual void GetContentSize(float *,float *);
	virtual void Draw(void);
	virtual void DrawContent(void);

	void SetRectColor(rgb_color);
	void SetRectColor(int,int,int,int = 255);
};

#endif