#ifndef PTABVIEW_H
#define PTABVIEW_H

#include <TabView.h>
#include <ListView.h>
#include <ListItem.h>
#include <String.h>

// constants for messages
const	uint32	U_SELECT_PTAB_MSG	= 'Uspt';

class CTabListItem : public BListItem
{
protected:
	BString		_itemLabel;
	
public:
	CTabListItem(const char * label);
	virtual ~CTabListItem();
	virtual void DrawItem(BView *owner,BRect frame,bool complete = false);
};

class PTabView : public BTabView
{
protected:
	BListView	*_viewsList;
	bool		_isLock;

public:
	PTabView(BRect frame, const char *name,BListView *);
	virtual	~PTabView();
	virtual void Draw(BRect updateRect);
	virtual void AddTab(BView *target, BTab *tab = NULL);
	virtual void MouseDown(BPoint point) { };
	
	void SelectTab(int32);

	inline bool			IsLock()			{ return _isLock; }

	inline void			SetLock(bool state)	{ _isLock = state; }
};

#endif