#ifndef __PREFERENCES_H__
#define __PREFERENCES_H__

#include <Message.h>

// identifiants de messages
// Quand on dispatche les préférences
#define C_DISPATCH_PREFS			'disp'

class CPreferences:public BMessage
{
protected:
	status_t	_status;
	char		*_filePath;

public:
				CPreferences(const char *fileName, const char *filePath=NULL);
				~CPreferences();
	
	status_t	Add(const char *name, BMessage *msg);
	status_t	Get(const char *name, BMessage *msg);
	
	status_t	PreferencesLoaded();
	const char	*SettingPath();
};

#endif